Subject: Re: bug#43166: The issues.guix.gnu.org is hard to read in emacs-w3m.

From: Mark H Weaver <[email-masked]>
Date: Tue, 15 Sep 2020 06:28:31 -0400

Earlier, I wrote:
> However, I've noticed that in Dillo with CSS disabled, generating a
> 'pre' for each line makes the line spacing larger than would be ideal.
> It seems that some vertical padding or margins are added around each
> 'pre'.  It's likely that many browsers do this in their default styling
> for 'pre'.  With this in mind, it would perhaps be better to wrap a
> single 'pre' around each message.  Then you could either (1) leave the
> lines as 'span's and add a raw CR-LF after each line (which would make
> the HTML source code more readable) or (2) change the 'span's to 'div's
> as in your proposed patch.

Actually, I just found by experimentation that option (2) above doesn't
work well in either Lynx or Dillo.  Option (1) works well in the simple
browsers I've tried so far, which are Lynx, Dillo, Netsurf, and Eww.

       Mark